Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.quartz.jobs
Class EventGeneratorJobConfig

    java.lang.Object
      org.mule.transport.quartz.config.AbstractJobConfig
          org.mule.transport.quartz.jobs.EventGeneratorJobConfig

All Implemented Interfaces:
  Serializable, MuleContextAware, JobConfig

    public class EventGeneratorJobConfig

extends AbstractJobConfig

The configuration for the `EventGeneratorJob` job.

See Also:
  Serialized Form

Constructor Summary
`EventGeneratorJobConfig()`

Method Summary
`Object` | `getPayload()`
`protected Class<? extends org.quartz.StatefulJob>` | `getStatefulJobClass()`
`protected Class<? extends org.quartz.Job>` | `getStatelessJobClass()`
`void` | `setPayload(Object payload)`

Methods inherited from class org.mule.transport.quartz.config.AbstractJobConfig
`getGroupName, getJobClass, getJobGroupName, getMuleContext, isStateful, setGroupName, setJobGroupName, setMuleContext, setStateful`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventGeneratorJobConfig

    public EventGeneratorJobConfig()

Method Detail

### getPayload

    public Object getPayload()

### setPayload

    public void setPayload(Object payload)

### getStatefulJobClass

    protected Class<? extends org.quartz.StatefulJob> getStatefulJobClass()

  Specified by:
    `getStatefulJobClass` in class `AbstractJobConfig`

### getStatelessJobClass

    protected Class<? extends org.quartz.Job> getStatelessJobClass()

  Specified by:
    `getStatelessJobClass` in class `AbstractJobConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.